Skip to main content
POST
/
pos
/
devices
/
{id}
/
claim
Claim device
curl --request POST \
  --url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/devices/{id}/claim \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "success": true,
  "content": {
    "user": {
      "id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "phone": "<string>",
      "email": "jsmith@example.com",
      "channel": {
        "id": "<string>",
        "name": "<string>"
      },
      "device": {
        "id": "<string>",
        "name": "<string>"
      },
      "location": {
        "id": "<string>",
        "name": "<string>"
      },
      "roles": [
        {
          "location_id": "<string>",
          "location_name": "<string>",
          "role_id": "<string>",
          "role_name": "<string>"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Access token

Path Parameters

id
string
required

device id

Response

OK

message
string
required
success
boolean
required
content
object
required